Use accessors for gtk objects
authorSaleem Abdulrasool <compnerd@compnerd.org>
Thu, 15 Jul 2010 02:10:00 +0000 (22:10 -0400)
committerKristian Høgsberg <krh@bitplanet.net>
Thu, 15 Jul 2010 02:41:41 +0000 (22:41 -0400)
commitac1e78c78e6a39834d35c525be01d50c348d33ba
tree926b234a636f916f0b41474c85cd262dca178f67
parent396f44dd5ea0a4d9d0567ae9c6618bb3004c4c34
Use accessors for gtk objects

This change introduces vte-gtk-compat.h to allow compatibility with the
current GTK+ requirement (2.14+) while allowing us to use GSEAL when
available.  When the GTK+ requirements are moved up to 2.20+, it should
be possible to entirely remove the header.

Setting of the GTK adjustment fields still occurs without the accessors
as setting the value and then using value_changed may introduce
different behaviour and/or double signal emissions.
src/vte-gtk-compat.h [new file with mode: 0644]
src/vte.c